import { Injectable, Inject } from '@angular/core';

import { AxiosInstance } from 'axios';

import {
  ModuleConfig,
  PublicApiService as UcapPublicApiService
} from '@ucap/api-public';

import { AXIOS_INSTANCE } from '@ucap/ng-core';

import { _MODULE_CONFIG } from '../config/token';

@Injectable({
  providedIn: 'root'
})
export class PublicApiService extends UcapPublicApiService {
  constructor(
    @Inject(_MODULE_CONFIG) moduleConfig: ModuleConfig,
    @Inject(AXIOS_INSTANCE) axios: AxiosInstance
  ) {
    super(moduleConfig, axios);
  }
}
