import { Params } from '@angular/router';

export class ParamsUtil {
  static getParameter<T>(params: Params, key: string, defaultValue: T): T {
    const v = params[key];
    if (undefined === v) {
      if (undefined !== defaultValue) {
        return defaultValue;
      }
      return undefined;
    }

    switch (typeof defaultValue) {
      case 'boolean':
        return ((v as string).toLowerCase() === 'true' ? true : false) as any;
      case 'number':
        return Number(v) as any;
      default:
        break;
    }

    return v;
  }
}
