import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-buddy';

import { _MODULE_CONFIG } from './config/token';

import { BuddyProtocolService } from './services/buddy-protocol.service';

const SERVICES = [BuddyProtocolService];

@NgModule({})
export class BuddyProtocolRootModule {}

@NgModule({})
export class BuddyProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<BuddyProtocolRootModule> {
    return {
      ngModule: BuddyProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
