import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { ChangePasswordComponent } from './change-password.component';
import { AuthenticationUiModule } from '../authentication-ui.module';
import { FormBuilder, ReactiveFormsModule } from '@angular/forms';
import { ChangeDetectorRef } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { CommonModule } from '@angular/common';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSelectModule } from '@angular/material/select';
import { I18nService, UCAP_I18N_NAMESPACE, I18nModule } from '@ucap/ng-i18n';
import { LogService } from '@ucap/logger';
import { FlexLayoutModule } from '@angular/flex-layout';
import { UiModule } from '@ucap/ng-ui';

describe('Account::ChangePasswordComponent', () => {
  let component: ChangePasswordComponent;
  let fixture: ComponentFixture<ChangePasswordComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [
        BrowserModule,
        BrowserAnimationsModule,

        CommonModule,
        ReactiveFormsModule,

        FlexLayoutModule,

        MatButtonModule,
        MatCheckboxModule,
        MatFormFieldModule,
        MatIconModule,
        MatInputModule,
        MatProgressSpinnerModule,
        MatSelectModule
      ],
      declarations: [
        AuthenticationUiModule,
        // { provide: FormBuilder, useValue: new FormBuilder() },
        // { provide: ChangeDetectorRef, useValue: ChangeDetectorRef },
        { provide: I18nService, useValue: new I18nService(new LogService({})) },
        {
          provide: UCAP_I18N_NAMESPACE,
          useValue: 'authentication'
        }
      ]
    }).compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(ChangePasswordComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  // it('should create', () => {
  //   // component.loginId = 'test03';
  //   // component.phoneNumber = '01011112222';
  //   // // component.encryptedLoginPw = 'encpw';
  //   // fixture.detectChanges();

  //   // component.ngOnInit();

  //   expect(component).toBeTruthy();
  // });

  // it('click changePassword', (done) => {
  //   component.loginId = 'test03';
  //   component.phoneNumber = '01011112222';
  //   // component.encryptedLoginPw = 'encpw';
  //   fixture.detectChanges();

  //   component.ngOnInit();

  //   component.changePassword.subscribe((value) => {
  //     console.log(value);
  //     done();
  //   });

  //   component.onClickChangePassword();
  // });
});
