import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/web-socket';

import { _MODULE_CONFIG } from './config/token';

import { WebSocketService } from './services/web-socket.service';

const SERVICES = [WebSocketService];

@NgModule({})
export class WebSocketRootModule {}

@NgModule({})
export class WebSocketModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<WebSocketRootModule> {
    return {
      ngModule: WebSocketRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
